<?php
/*
Plugin Name: Content Warning v2
Plugin URI: http://jjswebs.com
Description: This is a revised verson of an old abandoned plugin by rjeevan which was based on wp-door. The older plugin version provided a "site-wide" content warning dialog to users.  This expands on that previous ideology and gives administrators and authors a little more flexability.
Version: 2.4.0
Author: Phyrax
Author URI: http://profiles.wordpress.org/users/Phyrax/
*/?>
<?php

/**
*	Registering stylesheets & scripts
*/
wp_register_style('wpcwv2_admin_style', WP_PLUGIN_URL.'/content-warning-v2/assets/wpcw_admin.css', FALSE, '12.0', 'screen');
wp_register_style('wpcwv2_user_style', WP_PLUGIN_URL.'/content-warning-v2/assets/wpcw.css', array('thickbox'), '2.0', 'screen');
wp_register_script('wpcwv2_admin_js', WP_PLUGIN_URL.'/content-warning-v2/assets/wpcw_admin.js', array('jquery'), '2.0', FALSE);
wp_register_script('wpcwv2_js', WP_PLUGIN_URL.'/content-warning-v2/assets/wpcwv2.js', array('jquery', 'thickbox'), '3.0', TRUE);

include('lib/postMeta.inc.php');
include('lib/admin.inc.php');
include('lib/registerSettings.inc.php');

/**
* A workaround for the wp-login.php is_admin issue
*/

function is_login_page() {
    return in_array($GLOBALS['pagenow'], array('wp-login.php', 'wp-register.php'));
}

/**
* Hook onto the option filter to calculate the appropriate timeout.
*/

function calc_cookie_death(){
	$expire = $_POST['wpcwv2_cookie_expire_num'];
	$type = $_POST['wpcwv2_cookie_expire_type'];
	$newVal = intval($expire)*intval($type);
	return $newVal;
}
add_filter('pre_update_option_wpcwv2_cookie_expire', 'calc_cookie_death');

function getMyJS(){
	global $post;
	$postID = $post->ID;
	// Disables the javascript and styles should you be in the admin menus, login/register pages, 
	// feed, or be an administrator just browsing the site.
	if(is_admin() || is_feed() || is_login_page() || current_user_can('manage_options'))
		return FALSE;
	
	if(get_option('wpcwv2_author_override') == 1)
		$metaVal = get_post_meta($postID, 'wpcwv2_override', TRUE);
		//var_dump($metaVal);
		$def = get_option('wpcwv2_author_default');
		$metaVal = ($metaVal == NULL ? $def : $metaVal);
		//var_dump($metaVal);
	
	$scriptParams = array(
		'postID' => $postID,
		'url' => WP_PLUGIN_URL."/content-warning-v2/ajax.php",
		'exit_url' => get_option('wpcwv2_msg_exit_url')
	);
	
	if(get_option('wpcwv2_enabled') == "1" && $metaVal == "1"){
		wp_enqueue_style('wpcwv2_user_style');
		wp_enqueue_script('wpcwv2_js');
		wp_localize_script('wpcwv2_js', 'cwv2Params', $scriptParams);
	}
}
add_action('get_header', 'getMyJS');

/*
* Adding extra Author Names and URLs
*/

function add_plugin_author($links, $file){
	$plugin = plugin_basename(__FILE__);
	// Create the link
	if($file == $plugin)
		return array_merge(
			$links,
			array( sprintf( '<b>Original plugin (v1.0) by rjeevan:</b> <a href="http://wordpress.org/extend/plugins/content-warning-v2/" target="_blank">Visit the Original Plugin Page</a>', $plugin, ""))
		);
	
	return $links;
}

add_filter('plugin_row_meta', 'add_plugin_author', 10, 2);

function pages_dropdown($type){
	$pagesArray = get_pages();
	$output = '<select name="wpcwv2_'.$type.'_page_id" id="wpcwv2_'.$type.'_page_id">';
	$output .= '<option value="-1">--- NONE ---</option>';
	foreach($pagesArray as $page){
		$output .= '<option value="'.$page->ID.'" '.selected(get_option("wpcwv2_".$type."_page_id"),$page->ID, FALSE).'>';
		$output .= $page->post_title;
		$output .= '</option>';
	}
	$output .='</select>';
	return $output;
}

?>